Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox
Class Toolbox.Console.ErrorContext

    java.lang.Object
      javax.swing.text.StyleContext
          com.lowagie.toolbox.Toolbox.Console.ErrorContext

All Implemented Interfaces:
  java.io.Serializable, javax.swing.text.AbstractDocument.AttributeContext

Enclosing class:
  Toolbox.Console

     class Toolbox.Console.ErrorContext

extends javax.swing.text.StyleContext

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.text.StyleContext
`javax.swing.text.StyleContext.NamedStyle, javax.swing.text.StyleContext.SmallAttributeSet`

Field Summary
`private static long` | `serialVersionUID`
`static java.lang.String` | `STDERROR`
`static java.lang.String` | `STDOUT`

Fields inherited from class javax.swing.text.StyleContext
`DEFAULT_STYLE`

Constructor Summary
`Toolbox.Console.ErrorContext()`

Method Summary

Methods inherited from class javax.swing.text.StyleContext
`addAttribute, addAttributes, addChangeListener, addStyle, createLargeAttributeSet, createSmallAttributeSet, getBackground, getChangeListeners, getCompressionThreshold, getDefaultStyleContext, getEmptySet, getFont, getFont, getFontMetrics, getForeground, getStaticAttribute, getStaticAttributeKey, getStyle, getStyleNames, readAttributes, readAttributeSet, reclaim, registerStaticAttributeKey, removeAttribute, removeAttributes, removeAttributes, removeChangeListener, removeStyle, toString, writeAttributes, writeAttributeSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### STDERROR

    public static final java.lang.String STDERROR

See Also:
  Constant Field Values

### STDOUT

    public static final java.lang.String STDOUT

See Also:
  Constant Field Values

Constructor Detail

### Toolbox.Console.ErrorContext

    public Toolbox.Console.ErrorContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD